version: '3.7'

services:

  traefik:
    image: traefik:2.10.5
    container_name: traefik-${CONTAINER_SHORT_ID}
    networks:
      cwrc-prod-internal:
      cwrc-prod-external:
    env_file:
      - .env
    ports:
      - "80:80"
      - "443:443"
      #- "8080:8080"
    restart: unless-stopped
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ./config/traefik/file-provider.d:/etc/traefik/file-provider.d #specified in .env
      - ./config/traefik/letsencrypt:/etc/letsencrypt #specified in .env 

      # Use Environment variables to pass in Traefik config; no traefik.yml required
      # by providers
      # Alternative to a static configureation /etc/traefik/traefik.yml"
      # Pass in config via flags or environment variables
      # https://docs.traefik.io/getting-started/configuration-overview
      # Obsolete - "./config/traefik/traefik.local.yml:/etc/traefik/traefik.yml"


  # optional: poll DockerHub and update if image changes
  watchtower:
    image: "containrrr/watchtower"
    container_name: watchtower-${CONTAINER_SHORT_ID}
    command:
      - "--cleanup"
      - "--interval=300"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock:ro"
    restart: unless-stopped


  nssi:
    #image: "cwrc/nerve:latest"
    image: "registry.gitlab.com/calincs/conversion/nssi:v1.0.9"
    container_name: nssi-${CONTAINER_SHORT_ID}
    environment:
      - LOG_LEVEL=INFO # Log4J Logging level: WARN, VERBOSE, TRACE
    volumes:
      - ./container_volumes/nssi/:/usr/local/tomcat/logs
    networks:
      - cwrc-prod-internal
    restart: unless-stopped

   
  validator:
    image: "cwrc/cwrc-validator:0.0.8"
    container_name: validator-${CONTAINER_SHORT_ID}
    volumes:
      - ./container_volumes/validator/:/usr/local/tomcat/logs
    networks:
      - cwrc-prod-internal
    restart: unless-stopped


  nssi-uat: 
    image: "registry.gitlab.com/calincs/conversion/nssi:v1.0.9"
    container_name: nssi-uat-${CONTAINER_SHORT_ID}
    environment:
      - LOG_LEVEL=VERBOSE # Log4J Logging level: WARN, VERBOSE, TRACE
    volumes:
      - ./container_volumes/nssi-uat/:/usr/local/tomcat/logs
    networks:
      - cwrc-prod-internal 
    restart: unless-stopped
 
 
  validator-uat:
    image: "cwrc/cwrc-validator:sha-ebce0a9"
    container_name: validator-uat-${CONTAINER_SHORT_ID}
    volumes:
        - ./container_volumes/validator-uat/:/usr/local/tomcat/logs
    networks:
      - cwrc-prod-internal 
    restart: unless-stopped


networks:
  cwrc-prod-internal:
  cwrc-prod-external:

